libzypp: zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > > Struct Template Reference

libzypp 17.36.6

Public Types | Public Member Functions | Private Attributes | List of all members
zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > > Struct Template Reference

`#include <zypp-core/zyppng/pipelines/lift.h>`

## Public Types
using | LiftedFun = std::shared_ptr<AsyncOp>

## Public Member Functions
| lifter (LiftedFun &&fun)
| lifter (lifter &&)=default
| ~lifter ()
template<typename T1, typename T2>
auto | operator() (std::pair< T1, T2 > &&data)
| lifter (std::shared_ptr< AsyncOp > &&fun)
| lifter (lifter &&)=default
| ~lifter ()
Ret | operator() (std::pair< T1, T2 > &&data)

## Private Attributes
LiftedFun | _fun
std::shared_ptr< AsyncOp > | _fun

## Detailed Description

template<typename AsyncOp>
struct zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >

Definition at line 46 of file lift.h.

## Member Typedef Documentation

## ◆ LiftedFun

template<typename AsyncOp>

using zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::LiftedFun = std::shared_ptr<AsyncOp>

Definition at line 48 of file lift.h.

## Constructor & Destructor Documentation

## ◆ lifter() [1/4]

template<typename AsyncOp>

zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::lifter | ( | LiftedFun && | fun | ) |
| inline

Definition at line 50 of file lift.h.

## ◆ lifter() [2/4]

template<typename AsyncOp>

zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::lifter | ( | lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > > && |  | ) |
| default

## ◆ ~lifter() [1/2]

template<typename AsyncOp>

zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::~lifter | ( |  | ) |
| inline

Definition at line 52 of file lift.h.

## ◆ lifter() [3/4]

zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::lifter | ( | std::shared_ptr< AsyncOp > && | fun | ) |
| inline

Definition at line 30 of file lift.h.

## ◆ lifter() [4/4]

zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::lifter | ( | lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > > && |  | ) |
| default

## ◆ ~lifter() [2/2]

zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::~lifter | ( |  | ) |
| inline

Definition at line 32 of file lift.h.

## Member Function Documentation

## ◆ operator()() [1/2]

template<typename AsyncOp>
template<typename T1, typename T2>

auto zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::operator() | ( | std::pair< T1, T2 > && | data | ) |
| inline

Definition at line 57 of file lift.h.

## ◆ operator()() [2/2]

Ret zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::operator() | ( | std::pair< T1, T2 > && | data | ) |
| inline

Definition at line 38 of file lift.h.

## Member Data Documentation

## ◆ _fun [1/2]

template<typename AsyncOp>

LiftedFun zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::_fun
| private

Definition at line 69 of file lift.h.

## ◆ _fun [2/2]

std::shared_ptr< AsyncOp > zyppng::detail::lifter< std::shared_ptr< AsyncOp >, std::void_t< std::enable_if_t< zyppng::detail::is_async_op< AsyncOp >::value > > >::_fun
| private

Definition at line 42 of file lift.h.

The documentation for this struct was generated from the following file:

- zypp-core/zyppng/pipelines/lift.h